> ## Documentation Index
> Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink resource

> > For the complete documentation index, see [llms.txt](https://launchdarkly-preview.mintlify.app/llms.txt). For the full documentation snapshot, see [llms-full.txt](https://launchdarkly-preview.mintlify.app/llms-full.txt).

Unlink one or multiple resources from a view:
- Unlink flags using flag keys
- Unlink segments using segment IDs




## OpenAPI

````yaml /openapi/launchdarkly-api.json delete /api/v2/projects/{projectKey}/views/{viewKey}/link/{resourceType}
openapi: 3.0.3
info:
  title: LaunchDarkly REST API
  description: >
    > For the complete documentation index, see
    https://launchdarkly-preview.mintlify.app/llms.txt.

    > For the full documentation snapshot, see
    https://launchdarkly-preview.mintlify.app/llms-full.txt.


    This is the LaunchDarkly REST API. It lets you build custom integrations,
    automate your workflow, and manage feature flags and other LaunchDarkly
    resources programmatically.


    For authentication, rate limits, pagination, versioning, JSON Patch and
    semantic patches, beta resources, and the full SDK End-of-Life table, read
    the [REST API overview](https://launchdarkly-preview.mintlify.app/api).


    To fetch the complete OpenAPI spec, use [Get OpenAPI
    spec](https://launchdarkly.com/docs/api/other/get-openapi-spec).
  contact:
    name: LaunchDarkly Technical Support Team
    url: https://support.launchdarkly.com
    email: support@launchdarkly.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2.0'
servers:
  - url: https://app.launchdarkly.com
    description: ' Default'
  - url: https://app.launchdarkly.us
    description: ' Federal'
security:
  - ApiKey:
      - read
      - write
tags:
  - name: Access tokens
    description: >-
      The access tokens API allows you to list, create, modify, and delete
      access tokens programmatically.
  - name: Account members
    description: >-
      The account members API allows you to invite new members to an account by
      making a `POST` request to `/api/v2/members`. When you invite a new member
      to an account, an invitation is sent to the email you provided.
  - name: Account usage (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: AI Configs
    description: >-
      The AI Configs API allows you to create, retrieve, and edit AI Configs, AI
      Config variations, and AI model configurations.
  - name: Announcements
    description: >-
      The announcements API lets you create and update a custom announcement
      banner that appears in the LaunchDarkly user interface for everyone in
      your organization.
  - name: Applications (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Approvals
    description: >-
      An account member can request approval on changes to a flag or AI Config's
      targeting or variations, or to a segment's targeting. Members may be
      required to request approval depending on the settings in their
      LaunchDarkly project.
  - name: Approvals (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Audit log
    description: >-
      LaunchDarkly maintains a record of all the changes made to any resource in
      the system. You can access this history using the audit log API, including
      filtering by timestamps, or using a custom policy to select which entries
      to receive.
  - name: Code references
    description: >-
      > ### Code references is an Enterprise feature > > Code references is
      available to customers on an Enterprise plan. To learn more, [read about
      our pricing](https://launchdarkly.com/pricing/).
  - name: Context settings
    description: >-
      You can use the context settings API to assign a context to a specific
      variation for any feature flag. To learn more, read [View and manage
      contexts](https://launchdarkly.com/docs/home/observability/context-attributes#view-and-manage-contexts).
  - name: Contexts
    description: >-
      Contexts are people, services, machines, or other resources that encounter
      feature flags in your product. Contexts are identified by their `kind`,
      which describes the type of resources encountering flags, and by their
      `key`.
  - name: Custom roles
    description: >-
      > ### Custom roles is an Enterprise feature > > Custom roles is available
      to customers on an Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Data Export destinations
    description: >-
      > ### Data Export is an add-on feature > > Data Export is available as an
      add-on for customers on a Foundation or Enterprise plan. To learn more,
      [read about our pricing](https://launchdarkly.com/pricing/).
  - name: Environments
    description: >-
      Environments allow you to maintain separate rollout rules in different
      contexts, from local development to QA, staging, and production. With the
      LaunchDarkly Environments API, you can programmatically list, create, and
      manage environments.
  - name: Experiments
    description: >-
      > ### Available for subscription customers > > Experimentation is
      available to all customers on a Developer, Foundation, or Enterprise
      subscription. If you're on an older Pro or Enterprise plan,
      Experimentation is available as an add-on.
  - name: Feature flags
    description: >-
      The feature flags API allows you to list, create, and modify feature flags
      and their targeting. For example, you can control percentage rollouts,
      target specific contexts, or even toggle off a feature flag
      programmatically.
  - name: Feature flags (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag import configurations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag links (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag triggers
    description: >-
      > ### Flag triggers is an Enterprise feature > > Flag triggers is
      available to customers on an Enterprise plan. To learn more, [read about
      our pricing](https://launchdarkly.com/pricing/).
  - name: Follow flags
    description: >-
      Follow flags to receive email updates about targeting changes to a flag in
      a project and environment.
  - name: Holdouts (beta)
    description: >-
      > ### Available for customers using Experimentation > > Holdouts are
      available to customers using
      [Experimentation](https://launchdarkly.com/docs/api/experiments).
  - name: Insights charts (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights deployments (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights flag events (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights pull requests (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights repositories (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights scores (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Integration audit log subscriptions
    description: >-
      Audit log integration subscriptions allow you to send audit log events
      hooks to one of dozens of external tools. For example, you can send flag
      change event webhooks to external third party software.
  - name: Integration delivery configurations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Integrations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Layers
    description: >-
      > ### Available for customers using Experimentation > > Layers are
      available to customers using
      [Experimentation](https://launchdarkly.com/docs/api/experiments).
  - name: Metrics
    description: >-
      Metrics track flag behavior over time when an experiment is running. The
      data generated from experiments gives you more insight into the impact of
      a particular flag.
  - name: Metrics (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: OAuth2 Clients
    description: >-
      The OAuth2 client API allows you to register a LaunchDarkly OAuth client
      for use in your own custom integrations.
  - name: Persistent store integrations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Projects
    description: >-
      Projects allow you to manage multiple different software projects under
      one LaunchDarkly account. Each project has its own unique set of
      environments and feature flags.
  - name: Relay Proxy configurations
    description: >-
      > ### Relay Proxy automatic configuration is an Enterprise feature > >
      Relay Proxy automatic configuration is available to customers on an
      Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Release pipelines (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Release policies (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Releases (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Scheduled changes
    description: >-
      > ### Scheduled flag changes is an Enterprise feature > > Scheduled flag
      changes is available to customers on an Enterprise plan. To learn more,
      [read about our pricing](https://launchdarkly.com/pricing/).
  - name: Segments
    description: >-
      > ### Synced segments and larger list-based segments are an Enterprise
      feature > > This section documents endpoints for rule-based, list-based,
      and synced segments.
  - name: Tags
    description: >-
      Tags are simple strings that you can attach to most resources in
      LaunchDarkly. Tags are useful for grouping resources into a set that you
      can name in a resource specifier.
  - name: Teams
    description: >-
      > ### Teams is an Enterprise feature > > Teams is available to customers
      on an Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Teams (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: User settings
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of the user
      settings API.
  - name: Users
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of these
      endpoints.
  - name: Users (beta)
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of these
      endpoints.
  - name: Views (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Webhooks
    description: >-
      The webhooks API lets you build your own integrations that subscribe to
      activities in LaunchDarkly. When you generate an activity in LaunchDarkly,
      such as when you change a flag or you create a project, LaunchDarkly sends
      an HTTP POST payload to the...
  - name: Workflow templates
    description: >-
      > ### Workflows are in maintenance mode > > The workflows feature is in
      maintenance mode, and is planned for future deprecation at a date not yet
      specified.
  - name: Workflows
    description: >-
      > ### Workflows are in maintenance mode > > The workflows feature is in
      maintenance mode, and is planned for future deprecation at a date not yet
      specified.
  - name: Other
    description: Other requests available in the LaunchDarkly API.
paths:
  /api/v2/projects/{projectKey}/views/{viewKey}/link/{resourceType}:
    delete:
      tags:
        - Views (beta)
      summary: Unlink resource
      description: >
        > For the complete documentation index, see
        [llms.txt](https://launchdarkly-preview.mintlify.app/llms.txt). For the
        full documentation snapshot, see
        [llms-full.txt](https://launchdarkly-preview.mintlify.app/llms-full.txt).


        Unlink one or multiple resources from a view:

        - Unlink flags using flag keys

        - Unlink segments using segment IDs
      operationId: unlinkResource
      parameters:
        - description: Version of the endpoint.
          explode: false
          in: header
          name: LD-API-Version
          required: true
          schema:
            enum:
              - beta
            type: string
          style: simple
        - example: default
          explode: false
          in: path
          name: projectKey
          required: true
          schema:
            type: string
          style: simple
        - example: my-view
          explode: false
          in: path
          name: viewKey
          required: true
          schema:
            type: string
          style: simple
        - example: flags
          explode: false
          in: path
          name: resourceType
          required: true
          schema:
            enum:
              - flags
              - segments
            type: string
          style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ViewLinkRequest'
        description: >-
          The resource to link to the view. Flags are identified by key.
          Segments are identified by segment ID.
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnlinkResourceSuccessResponse'
          description: Successful response with unlink details
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad request
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error
components:
  schemas:
    ViewLinkRequest:
      oneOf:
        - $ref: '#/components/schemas/ViewLinkRequestKeys'
        - $ref: '#/components/schemas/ViewLinkRequestSegmentIdentifiers'
        - $ref: '#/components/schemas/ViewLinkRequestFilter'
      type: object
    UnlinkResourceSuccessResponse:
      example:
        failedResources:
          - environmentId: environmentId
            resourceKey: resourceKey
            errorMessage: errorMessage
            resourceType: flag
          - environmentId: environmentId
            resourceKey: resourceKey
            errorMessage: errorMessage
            resourceType: flag
        successCount: 0
        failureCount: 6
      properties:
        successCount:
          description: The number of resources successfully unlinked.
          type: integer
        failureCount:
          description: The number of resources that failed to unlink.
          type: integer
        failedResources:
          description: Details of resources that failed to unlink.
          items:
            $ref: '#/components/schemas/FailedResourceLink'
          type: array
      required:
        - failureCount
        - successCount
      type: object
    Error:
      example:
        code: code
        message: message
      properties:
        message:
          type: string
        code:
          type: string
      required:
        - code
        - message
      type: object
    ViewLinkRequestKeys:
      additionalProperties: false
      example:
        filter: maintainerId:507f1f77bcf86cd799439011,tags:backend+beta
        keys:
          - flag-1
          - flag-2
        comment: ''
      properties:
        keys:
          description: Keys of the resources (flags, segments) to link/unlink
          example:
            - flag-1
            - flag-2
          items:
            type: string
          type: array
        filter:
          description: >
            Optional filter string to determine which resources should be
            linked. Resources only need to match either the filter or
            explicitly-listed keys to be linked (union).

            Uses the same syntax as list endpoints: flags use comma-separated
            field:value filters, segments use queryfilter syntax.


            Supported filters by resource type:

            - flags: query, tags, maintainerId, maintainerTeamKey, type, status,
            state, staleState, sdkAvailability, targeting, hasExperiment,
            hasDataExport, evaluated, creationDate, contextKindTargeted,
            contextKindsEvaluated, filterEnv, segmentTargeted,
            codeReferences.min, codeReferences.max, excludeSettings,
            releasePipeline, applicationEvaluated, purpose, guardedRollout,
            view, key, name, archived, followerId

            - segments (queryfilter): query, tags, keys, excludedKeys,
            unbounded, external, view, type

            Some filters are only available when the corresponding feature is
            enabled on your account.
          example: maintainerId:507f1f77bcf86cd799439011,tags:backend+beta
          type: string
        comment:
          default: ''
          description: Optional comment for the link/unlink operation
          type: string
      required:
        - keys
      title: ViewLinkRequestKeys
      type: object
    ViewLinkRequestSegmentIdentifiers:
      additionalProperties: false
      properties:
        segmentIdentifiers:
          description: >-
            Identifiers of the segments to link/unlink (environmentId and
            segmentKey)
          items:
            $ref: '#/components/schemas/ViewLinkRequestSegmentIdentifier'
          type: array
        filter:
          description: >
            Optional filter string to determine which resources should be
            linked. Resources only need to match either the filter or
            explicitly-listed keys to be linked (union).

            Uses the same queryfilter syntax as the segments list endpoint.


            Supported filters for segments: query, tags, keys, excludedKeys,
            unbounded, external, view, type
          example: tags anyOf ["backend"]
          type: string
        environmentId:
          description: >
            Required when using filter for segment resources. Specifies which
            environment to query for segments matching the filter.

            Ignored when only using explicit segmentIdentifiers (since each
            identifier contains its own environmentId).
          type: string
        comment:
          default: ''
          description: Optional comment for the link/unlink operation
          type: string
      required:
        - segmentIdentifiers
      title: ViewLinkRequestSegmentIdentifiers
      type: object
    ViewLinkRequestFilter:
      additionalProperties: false
      properties:
        filter:
          description: >
            Filter string to match resources for linking. Uses the same syntax
            as list endpoints: flags use comma-separated field:value filters,
            segments use queryfilter syntax.


            Supported filters by resource type:

            - flags: query, tags, maintainerId, maintainerTeamKey, type, status,
            state, staleState, sdkAvailability, targeting, hasExperiment,
            hasDataExport, evaluated, creationDate, contextKindTargeted,
            contextKindsEvaluated, filterEnv, segmentTargeted,
            codeReferences.min, codeReferences.max, excludeSettings,
            releasePipeline, applicationEvaluated, purpose, guardedRollout,
            view, key, name, archived, followerId

            - segments (queryfilter): query, tags, keys, excludedKeys,
            unbounded, external, view, type

            Some filters are only available when the corresponding feature is
            enabled on your account.
          example: maintainerId:507f1f77bcf86cd799439011,tags:backend+beta
          type: string
        environmentId:
          description: >
            Required when using filter for segment resources. Specifies which
            environment to query for segments matching the filter.

            Ignored for flag resources (flags are global across environments).
          type: string
        comment:
          default: ''
          description: Optional comment for the link/unlink operation
          type: string
      required:
        - filter
      title: ViewLinkRequestFilter
      type: object
    FailedResourceLink:
      example:
        environmentId: environmentId
        resourceKey: resourceKey
        errorMessage: errorMessage
        resourceType: flag
      properties:
        resourceKey:
          description: The key of the resource that failed to link.
          type: string
        environmentId:
          description: Environment ID of the resource (only present for segments)
          type: string
        resourceType:
          description: The type of the resource that failed to link.
          enum:
            - flag
            - segment
          type: string
        errorMessage:
          description: The reason why linking this resource failed.
          type: string
      required:
        - errorMessage
        - resourceKey
        - resourceType
      type: object
    ViewLinkRequestSegmentIdentifier:
      properties:
        environmentId:
          type: string
        segmentKey:
          type: string
      required:
        - environmentId
        - segmentKey
      title: ViewLinkRequestSegmentIdentifier
      type: object
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization

````